%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define glib2_version 2.2.3
%define pango_version 1.2.5
%define gtk2_version 2.2.4
%define gconf2_version 2.4.0.1
%define gnome_vfs2_version 2.4.0
%define libgnomeui_version 2.4.0.1
%define libgnome_version 2.4.0

Summary: 	Package containing code shared among gnome-panel, gnome-session, nautilus, etc.
Name: 		gnome-desktop
Version: 	2.4.0
Release: 	1
URL: 		http://www.gnome.org
Source: 	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-desktop/%{name}-%{version}.tar.bz2

Patch0:		gnome-desktop-2.4.0-aix.patch
Patch1:		gnome-desktop-2.4.0-autotools.patch

License: 	GPL 
Group: 		System Environment/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Provides: 	gnome-core

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnome-devel >= %{libgnome_version}

%description
The gnome-desktop package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop, and also some data files and other shared components of the
GNOME user environment.

%package devel
Summary: 	Libraries and headers for libgnome-desktop
Group: 		Development/Libraries
Requires: 	%name = %{version}

Requires: glib2-devel >= %{glib2_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: GConf2-devel >= %{gconf2_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: libgnomeui-devel >= %{libgnomeui_version}
Requires: libgnome-devel >= %{libgnome_version}

%description devel
Libraries and header files for the GNOME-internal private library 
libgnomedesktop

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gnome-desktop-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gnome-desktop-2.4.0-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%files 
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/lib*.a

%{_datadir}/gnome-about
%{_datadir}/gnome
%{_datadir}/pixmaps
%{_mandir}/man*/*
# 
# @faur1d
# there is no dir named etc/gconf/schemas... ???? 
# %{_sysconfdir}/gconf/schemas/*
%{_datadir}/locale/*/LC_MESSAGES/gnome-desktop-2.0.mo

/usr/bin/*
/usr/lib/lib*.a

%files devel
%defattr(-,root,system)
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*

/usr/include/*
